import { service } from '../utils/request';

//视频 分片上传
export function bigDataUpload(data) {
    return service({
        url: '/mosty-base/other/bigDataUpload',
        method: "post",
        data
    })
}

// 单个文件上传
export function uploadFile(file) {
    const formData = new FormData()
    formData.append('file', file)
    return service({
        url: '/common/upload',
        method: 'post',
        data: formData,
        headers: { 'Content-Type': 'multipart/form-data' }
    })
}

// 查询字典列表
export function getDictListByCode(data) {
    return service({
        url: api1 + `/sysDict/getSysDictByCode`,
        method: "GET",
        params: data
    });
};